org.eclipse.rdf4j.model.impl

## Class ValueFactoryImpl

- java.lang.Object
- - org.eclipse.rdf4j.model.impl.AbstractValueFactory
  - - org.eclipse.rdf4j.model.impl.SimpleValueFactory
    - - org.eclipse.rdf4j.model.impl.ValueFactoryImpl

- All Implemented Interfaces:
    ValueFactory

  Deprecated.
  since 2.0. Use `SimpleValueFactory` instead.

      @Deprecated
      public class ValueFactoryImpl
      extends SimpleValueFactory

  Author:
    Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueFactoryImpl()` Deprecated. since 2.0. Use `SimpleValueFactory.getInstance()` instead.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValueFactoryImpl` | `getInstance()` Deprecated. since 2.0. Use `SimpleValueFactory.getInstance()` instead.

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.AbstractValueFactory

      `createBNode, createBNode, createFPLiteral, createIntegerLiteral, createIRI, createIRI, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createLiteral, createNumericLiteral, createStatement, createStatement, initBNodeParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.ValueFactory

      `createLiteral, createStatement, createStatement, createURI, createURI`

- - ### Constructor Detail

    - #### ValueFactoryImpl

          @Deprecated
          public ValueFactoryImpl()

      Deprecated. since 2.0. Use `SimpleValueFactory.getInstance()` instead.

  - ### Method Detail

    - #### getInstance

          @Deprecated
          public static ValueFactoryImpl getInstance()

      Deprecated. since 2.0. Use `SimpleValueFactory.getInstance()` instead.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.